<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<title>Nuevo alumno</title>
</head>
<body>
<h1>Datos del alumno</h1>
<form id="f" action="verDatos.php" method="post">
    <label for="nombre">Nombre:</label>
    <input name="nombre" value="Fulano"><br>


    <label for="apellido">Apellido:</label>
    <input name="apellido" value="de Tal"><br>

    <label for="dni">DNI:</label>
    <input type="number" name="dni" value="30123456"><br>

    <label for="tipo">Situación:</label>
    <select name="tipo" onchange="cambioTipo(this.value)">
        <option value="s">Seleccione</option>
        <option value="libre">Libre</option>
        <option value="presencial">Presencial</option>
    </select>
    <div id="segunTipo"></div>
    <input name="submit" type="submit" value="Ver Datos" disabled>
</form>
<script>
function cambioTipo(tipo) {
    var f = document.getElementById("f");
    var mostrar = document.getElementById("segunTipo");
    
    while( mostrar.firstChild ) {
        mostrar.removeChild(mostrar.firstChild);
    }

    if (tipo == "libre") {
        var l = document.createElement("label");
        l.setAttribute("for","notaFinal");
        l.innerHTML = "Nota del examen final";
        var e = document.createElement("input");
        e.type = "number";
        e.name = "notaFinal";
        mostrar.appendChild(l);
        mostrar.appendChild(e);
        f.submit.disabled=false;
    }
    else if (tipo == "presencial") {
        var lP = document.createElement("label");
        lP.setAttribute("for","porcentaje");
        lP.innerHTML = "Porcentaje de asistencia";
        var eP = document.createElement("input");       
        eP.type = "number";
        eP.name = "porcentaje";
        var br = document.createElement("br");
        mostrar.appendChild(lP);
        mostrar.appendChild(eP);
        mostrar.appendChild(br);


        var l = document.createElement("label");
        l.setAttribute("for","cantTP");
        l.innerHTML = "Cantidad de trabajos prácticos";
        var e = document.createElement("input");
        e.type = "number";
        e.name = "cantTP";
        e.onchange = function() {
            while ( d.firstChild ) {
                d.removeChild( d.firstChild );
            }
            for (var j = 0;  j < e.value; j++) {
                i = document.createElement("input");
                i.type = "number";
                i.name = "notas["+j+"]";
                d.appendChild(i);
            }
        };
        var d = document.createElement("div");
        d.setAttribute("id","notas");
        mostrar.appendChild(l);
        mostrar.appendChild(e);
        mostrar.appendChild(d);
        f.submit.disabled=false;
    }
    else {
        f.submit.disabled = true;
    }        
}
</script>
</body>
</html>
